﻿@model LoginModel

@{
    ViewBag.Title = "Jumbula login & signup";
}

@section Styles{
    <link href="~/Content/Student/Home/LoginSignup.css" rel="stylesheet" />
}

<main id="mainContainer">


    <!--Login Box-->
    <section id="loginBox" class="active">

   

        <form class="login-form clearfix" action="@Url.Action("LoginNotBranded", "Account")" method="post">

            <div class="form-group">
                <span class="input-icon jbi-email"></span>
                @Html.TextBoxFor(model => model.UserNameLogin, new { @class = "form-control jb-icon-input", id = "inputEmail", data_placeholder = "Email", placeholder = "Email" })
                @Html.ValidationMessageFor(model => model.UserNameLogin, null, new { @class = "help-inline" })
            </div>

            <div class="form-group">
                <span class="input-icon jbi-lock"></span>
                @Html.PasswordFor(model => model.PasswordLogin, new { @class = "form-control jb-icon-input", id = "inputPassword", data_placeholder = "Password", placeholder = "Password" })
                @Html.ValidationMessageFor(model => model.PasswordLogin)
            </div>

            <button type="submit" class="btn btn-jb jb-lg-btn">Log in</button>
            <div class="form-group checkbox" id="remember">
                <label>

                    @Html.CheckBoxFor(c => c.RememberMe)

                    <span class="check"></span>
                    Remember me
                </label>
            </div>
            <a href="@Url.Action("ForgotPassword")" class="forget-password">Forgot your password?</a>
            <h4 style="margin:0;">
                <span class="text-segoe-links">Do you own a business? </span>
                <a href="" class="href-free-trial text-segoe-links" alt="START WITH FREE TRIAL">
                    Sign up for a free trial.
                </a>

            </h4>
        </form>
    </section>
</main>

@section Scripts{

    <script src="~/Scripts/Libraries/jQuery/jquery.validate.min.js"></script>
    <script src="~/Scripts/Libraries/jQuery/jquery.validate.unobtrusive.min.js"></script>
    <script src="/Scripts/Student/LoginSignup.js"></script>

    <script>
        $(function () {
            $('.href-free-trial').on('click', function (e) {
                e.preventDefault();
                $.ajax({
                    type: 'POST',
                    url: '/Verification/GetToken',
                    success: function (data) {
                        if (data.status) {
                            var url = '@Url.Action("CreateAccountStep1", "Club")?token=' + data.message;
                            window.location = url;
                        } else {
                            $bodyContent.find('.verify-message-box').addClass('has-error');
                            $bodyContent.append('<div id="verificationError"><span>' + data.message + '</span></div>');
                        }
                    }
                });
            });
        });
    </script>
}
